You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     r...@freebsd.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/devel/rubygem-rugged/Makefile 398943 2015-10-09 
18:32:40Z sunpoet $
Log URL:        
http://beefy3.nyi.freebsd.org/data/head-i386-default/p411129_s296883/logs/rubygem-rugged-0.23.3.log
Build URL:      
http://beefy3.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p411129_s296883
Log:

====>> Building devel/rubygem-rugged
build started at Tue Mar 15 06:37:20 UTC 2016
port directory: /usr/ports/devel/rubygem-rugged
building for: FreeBSD head-i386-default-job-16 11.0-CURRENT FreeBSD 
11.0-CURRENT r296883 i386
maintained by: r...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/rubygem-rugged/Makefile 398943 
2015-10-09 18:32:40Z sunpoet $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 1100102




!!! Jail is newer than host. (Jail: 1100102, Host: 1100097) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
UNAME_v=FreeBSD 11.0-CURRENT r296883
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=i386
LINUX_OSRELEASE=2.6.32
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubygem-rugged-0.23.3
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100102
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--use-system-libraries
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.1"
RUBY_ARCHLIBDIR="lib/ruby/2.1/i386-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.1"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.1/i386-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.1"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.1/i386-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby21/rugged"
RUBY_MODEXAMPLESDIR="share/examples/ruby21/rugged"
RUBY_DOCDIR="share/doc/ruby21"
RUBY_EXAMPLESDIR="share/examples/ruby21"
RUBY_RIDIR="share/ri/2.1/system"
RUBY_SITERIDIR="share/ri/2.1/site"
RUBY_ELISPDIR="lib/ruby/elisp"
RUBY_VERSION="2.1.8"
RUBY_VER="2.1"
RUBY_SHLIBVER="21"
RUBY_ARCH="i386-freebsd11"
RUBY_SUFFIX="21"
RUBY_NAME="ruby21"
RUBY_DEFAULT_SUFFIX="21"
RUBY20="@comment
"
RUBY21=""
RUBY22="@comment
"
RUBY23="@comment
"
PORTVERSION="0.23.3"
REV=""
GEMS_BASE_DIR="lib/ruby/gems/2.1"
GEMS_DIR="lib/ruby/gems/2.1/gems"
DOC_DIR="lib/ruby/gems/2.1/doc"
CACHE_DIR="lib/ruby/gems/2.1/cache"
SPEC_DIR="lib/ruby/gems/2.1/specifications"
EXT_DIR="lib/ruby/gems/2.1/extensions"
PORT="rugged-0.23.3"
GEM_NAME="rugged-0.23.3"
GEM_LIB_DIR="lib/ruby/gems/2.1/gems/rugged-0.23.3"
GEM_DOC_DIR="lib/ruby/gems/2.1/doc/rugged-0.23.3"
GEM_SPEC="lib/ruby/gems/2.1/specifications/rugged-0.23.3.gemspec"
GEM_CACHE="lib/ruby/gems/2.1/cache/rugged-0.23.3.gem"
EXTRACT_SUFX=".gem"
RUBY_RD_HTML_FILES="@comment
"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/rugged"
EXAMPLESDIR="share/examples/rugged"
DATADIR="share/rugged"
WWWDIR="www/rugged"
ETCDIR="etc/rugged"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/rugged
DOCSDIR=/usr/local/share/doc/rugged
EXAMPLESDIR=/usr/local/share/examples/rugged
WWWDIR=/usr/local/www/rugged
ETCDIR=/usr/local/etc/rugged
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.4_1.txz
[head-i386-default-job-16] Installing pkg-1.6.4_1...
[head-i386-default-job-16] Extracting pkg-1.6.4_1: .......... done
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-rugged-0.23.3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-0.23.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-0.23.3 for building
=> SHA256 Checksum OK for rubygem/rugged-0.23.3.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/gem21 - not found
===>   Installing existing package /packages/All/ruby21-gems-2.5.1.txz
[head-i386-default-job-16] Installing ruby21-gems-2.5.1...
[head-i386-default-job-16] `-- Installing ruby-2.1.8,1...
[head-i386-default-job-16] |   `-- Installing libffi-3.2.1...
[head-i386-default-job-16] |   | `-- Installing indexinfo-0.2.4...
[head-i386-default-job-16] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-i386-default-job-16] |   `-- Extracting libffi-3.2.1: .......... done
[head-i386-default-job-16] |   `-- Installing libyaml-0.1.6_2...
[head-i386-default-job-16] |   `-- Extracting libyaml-0.1.6_2: ......... done
[head-i386-default-job-16] |   `-- Installing libedit-3.1.20150325_1...
[head-i386-default-job-16] |   `-- Extracting libedit-3.1.20150325_1: 
.......... done
[head-i386-default-job-16] `-- Extracting ruby-2.1.8,1: .......... done
[head-i386-default-job-16] Extracting ruby21-gems-2.5.1: .......... done
Message from ruby-2.1.8,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/gem21 - found
===>   Returning to build of rubygem-rugged-0.23.3
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/ruby21 - found
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-0.23.3 for building
===>  Extracting for rubygem-rugged-0.23.3
=> SHA256 Checksum OK for rubygem/rugged-0.23.3.gem.
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-rugged/work/rugged-0.23.3'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/ruby21 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-rugged-0.23.3
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-rugged-0.23.3 depends on executable: cmake - not found
===>   Installing existing package /packages/All/cmake-3.4.2.txz
[head-i386-default-job-16] Installing cmake-3.4.2...
[head-i386-default-job-16] `-- Installing expat-2.1.0_3...
[head-i386-default-job-16] `-- Extracting expat-2.1.0_3: .......... done
[head-i386-default-job-16] `-- Installing cmake-modules-3.4.2...
[head-i386-default-job-16] `-- Extracting cmake-modules-3.4.2: .......... done
[head-i386-default-job-16] `-- Installing curl-7.47.1...
[head-i386-default-job-16] |   `-- Installing ca_root_nss-3.22.2...
[head-i386-default-job-16] |   `-- Extracting ca_root_nss-3.22.2: ....... done
[head-i386-default-job-16] `-- Extracting curl-7.47.1: .......... done
[head-i386-default-job-16] `-- Installing libarchive-3.1.2_6,1...
[head-i386-default-job-16] |   `-- Installing lzo2-2.09...
[head-i386-default-job-16] |   `-- Extracting lzo2-2.09: .......... done
[head-i386-default-job-16] `-- Extracting libarchive-3.1.2_6,1: .......... done
[head-i386-default-job-16] `-- Installing jsoncpp-0.6.0.r2_2...
[head-i386-default-job-16] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[head-i386-default-job-16] Extracting cmake-3.4.2: .......... done
Message from ca_root_nss-3.22.2:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   rubygem-rugged-0.23.3 depends on executable: cmake - found
===>   Returning to build of rubygem-rugged-0.23.3
===>   rubygem-rugged-0.23.3 depends on package: libgit2>=0.23 - not found
===>   Installing existing package /packages/All/libgit2-0.24.0.txz
[head-i386-default-job-16] Installing libgit2-0.24.0...
[head-i386-default-job-16] `-- Installing libssh2-1.6.0_1,2...
[head-i386-default-job-16] `-- Extracting libssh2-1.6.0_1,2: .......... done
[head-i386-default-job-16] Extracting libgit2-0.24.0: .......... done
===>   rubygem-rugged-0.23.3 depends on package: libgit2>=0.23 - found
===>   Returning to build of rubygem-rugged-0.23.3
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/gem21 - found
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/ruby21 - found
===>   rubygem-rugged-0.23.3 depends on executable: pkgconf - not found
===>   Installing existing package /packages/All/pkgconf-0.9.12_1.txz
[head-i386-default-job-16] Installing pkgconf-0.9.12_1...
[head-i386-default-job-16] Extracting pkgconf-0.9.12_1: ....... done
===>   rubygem-rugged-0.23.3 depends on executable: pkgconf - found
===>   Returning to build of rubygem-rugged-0.23.3
===========================================================================
=======================<phase: lib-depends    >============================
===>   rubygem-rugged-0.23.3 depends on shared library: libgit2.so - found 
(/usr/local/lib/libgit2.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-rugged-0.23.3
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-rugged-0.23.3
  Successfully built RubyGem
  Name: rugged
  Version: 0.23.3
  File: rugged-0.23.3.gem
===========================================================================
=======================<phase: run-depends    >============================
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/gem21 - found
===>   rubygem-rugged-0.23.3 depends on file: /usr/local/bin/ruby21 - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rubygem-rugged-0.23.3
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-rugged/work/rugged-0.23.3; /usr/bin/env 
LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 LC_CTYPE=UTF-8 RB_USER_INSTALL=yes 
/usr/local/bin/gem21 install -l --no-update-sources --install-dir 
/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.1 
--ignore-dependencies 
--bindir=/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/bin 
--rdoc --ri rugged-0.23.3.gem -- --build-args --use-system-libraries)
Building native extensions with: '--build-args --use-system-libraries'
This could take a while...
ERROR:  Error installing rugged-0.23.3.gem:
        ERROR: Failed to build gem native extension.

    current directory: 
/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.1/gems/rugged-0.23.3/ext/rugged
/usr/local/bin/ruby21 -r ./siteconf20160315-64909-1b4kw39.rb extconf.rb 
--build-args --use-system-libraries
checking for gmake... no
checking for make... yes
Building Rugged using system libraries.
libgit2 version is not compatible, expected ~> 0.23.0
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=/usr/local/bin/ruby21
        --use-system-libraries
        --with-git2-dir
        --without-git2-dir
        --with-git2-include
        --without-git2-include=${git2-dir}/include
        --with-git2-lib
        --without-git2-lib=${git2-dir}/lib
        --with-libgit2-config
        --without-libgit2-config
        --with-pkg-config
        --without-pkg-config

To see why this extension failed to compile, please check the mkmf.log which 
can be found here:

  
/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.1/extensions/x86-freebsd-11/2.1/rugged-0.23.3/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in 
/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.1/gems/rugged-0.23.3
 for inspection.
Results logged to 
/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.1/extensions/x86-freebsd-11/2.1/rugged-0.23.3/gem_make.out
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/rubygem-rugged
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to